--- openssl.SlackBuild	2009-11-11 17:42:04.000000000 -0500
+++ openssl.SlackBuild.s390x	2009-12-19 19:39:22.000000000 -0500
@@ -83,6 +83,8 @@
 
 make install INSTALL_PREFIX=$PKG1 || exit 1
 
+( cd $PKG1/usr; mv lib lib64 )
+
 # Add a cron script to warn root if a certificate is going to expire soon:
 mkdir -p $PKG1/etc/cron.daily
 zcat $CWD/certwatch.gz > $PKG1/etc/cron.daily/certwatch.new
@@ -95,9 +97,9 @@
   find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
 )
 
-( cd $PKG1/usr/lib ; ldconfig -l * 2> /dev/null )
-( cd $PKG1/usr/lib ; ln -sf libcrypto.so.0 libcrypto.so )
-( cd $PKG1/usr/lib ; ln -sf libssl.so.0 libssl.so )
+( cd $PKG1/usr/lib64 ; ldconfig -l * 2> /dev/null )
+( cd $PKG1/usr/lib64 ; ln -sf libcrypto.so.0 libcrypto.so )
+( cd $PKG1/usr/lib64 ; ln -sf libssl.so.0 libssl.so )
 mv $PKG1/etc/ssl/man $PKG1/usr
 ( cd $PKG1/usr/man/man1 ; mv passwd.1 ssl_passwd.1 )
 ( cd $PKG1/usr/man/man3 ; mv rand.3 ssl_rand.3 )
@@ -118,16 +120,16 @@
 fi
 
 cd $PKG1
-chmod 755 usr/lib/pkgconfig
+chmod 755 usr/lib64/pkgconfig
 mkdir -p install
 zcat $CWD/doinst.sh-openssl.gz > install/doinst.sh
 cat $CWD/slack-desc.openssl > install/slack-desc
 makepkg -l y -c n ../${NAME1}.tgz
 
 # Make runtime package:
-mkdir -p $PKG2/usr/lib
-( cd usr/lib ; cp -a lib*.so.*.*.* $PKG2/usr/lib )
-( cd $PKG2/usr/lib ; ldconfig -l * )
+mkdir -p $PKG2/usr/lib64
+( cd usr/lib64 ; cp -a lib*.so.*.*.* $PKG2/usr/lib64 )
+( cd $PKG2/usr/lib64 ; ldconfig -l * )
 mkdir -p $PKG2/etc
 ( cd $PKG2/etc ; cp -a $PKG1/etc/ssl . )
 mkdir -p $PKG2/usr/doc/openssl-$VERSION
